Index: src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py
===================================================================
--- src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision 01cda57b9e14ce69f0153005140f08837b90f28e)
+++ src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision fc4fec8a66ddb6c5ff2ff58ff2c3f171a9f67d0a)
@@ -17,5 +17,4 @@
 import sys
 import logging
-import math
 import os
 import re
@@ -32,7 +31,4 @@
 BG_WHITE = "background-color: rgb(255, 255, 255);"
 BG_RED = "background-color: rgb(244, 170, 164);"
-
-_INTENSITY = 368428
-_LAMBDA_ARRAY = [[0, 1e+16], [_INTENSITY, _INTENSITY]]
 
 
@@ -85,6 +81,4 @@
         # dQ 2d image
         self.image = None
-        # results of sigmas
-        self.sigma_strings = ' '
         # Source selection dic
         self.source_mass = _SOURCE_MASS
@@ -237,5 +231,5 @@
                 text_edit.setStyleSheet(QtCore.QString(BG_RED))
                 self.cmdCompute.setEnabled(False)
-                logging.info('Qx and Qy are lists of comma-separated numbers.')
+                logging.info('Qx and Qy should contain one or more comma-separated numbers.')
             else:
                 text_edit.setStyleSheet(QtCore.QString(BG_WHITE))
@@ -256,5 +250,5 @@
                     self.cmdCompute.setEnabled(False)
                     logging.info(
-                        'Qx and Qy have the same number of elements.')
+                        'Qx and Qy should have the same number of elements.')
 
                 else:
@@ -410,5 +404,4 @@
 
         self.image = None
-        self.sigma_strings = ' '
         self.source_mass = _SOURCE_MASS
         self.det_coordinate = 'cartesian'
@@ -496,5 +489,5 @@
             ymax = max(self.qy)
             if not self._validate_q_input(self.qx, self.qy):
-                raise
+                raise ValueError("Invalid Q input")
         except:
             msg = "An error occurred during the resolution computation."
@@ -502,5 +495,4 @@
             logging.warning(msg)
             return
-            # raise ValueError, "Invalid Q Input..."
 
         # Validate the q inputs
@@ -523,17 +515,15 @@
         # Compute and get the image plot
         try:
-            self.sigma_strings = '\nResolution: Computation is finished. \n'
-            cal_res = threads.deferToThread(self.complete,
-                                            map(self._map_func,
-                                                self.qx,
-                                                self.qy,
-                                                qx_min,
-                                                qx_max,
-                                                qy_min, qy_max)[0],
-                                            self.image)
-
-            cal_res.addCallback(self.new2DPlot)
-
-            logging.info("Computation is in progress...")
+            cal_res = threads.deferToThread(self.map_wrapper,
+                                            self.calc_func,
+                                            self.qx,
+                                            self.qy,
+                                            qx_min,
+                                            qx_max,
+                                            qy_min, qy_max)
+
+            cal_res.addCallback(self.complete)
+
+            # logging.info("Computation is in progress...")
             self.cmdCompute.setText('Wait...')
             self.cmdCompute.setEnabled(False)
@@ -541,5 +531,5 @@
             raise
 
-    def complete(self, image, elapsed=None):
+    def complete(self, image):
         """
         Complete computation
@@ -559,11 +549,12 @@
         self.txt1DSigma.setText(str(sigma_1d))
 
-        msg = self.sigma_strings
-        logging.info(msg + '\n stop')
         self.cmdCompute.setText('Compute')
         self.cmdCompute.setEnabled(True)
+
+        self.new2DPlot()
+
         return
 
-    def _map_func(self, qx, qy, qx_min, qx_max, qy_min, qy_max):
+    def map_wrapper(self, func, qx, qy, qx_min, qx_max, qy_min, qy_max):
         """
         Prepare the Mapping for the computation
@@ -571,9 +562,20 @@
         : return: image (numpy array)
         """
+        image = map(func, qx, qy,
+                    qx_min, qx_max,
+                    qy_min, qy_max)[0]
+        return image
+
+    def calc_func(self, qx, qy, qx_min, qx_max, qy_min, qy_max):
+        """
+        Perform the calculation for a given set of Q values.
+        : return: image (numpy array)
+        """
         try:
             qx_value = float(qx)
             qy_value = float(qy)
-        except:
-            raise
+        except :
+            raise ValueError
+
         # calculate 2D resolution distribution image
         image = self.resolution.compute_and_plot(qx_value, qy_value,
@@ -581,9 +583,4 @@
                                                  qy_max,
                                                  self.det_coordinate)
-        # record sigmas
-        self.sigma_strings += " At Qx = %s, Qy = %s; \n" % (qx_value, qy_value)
-        self._sigma_strings()
-        logging.info(self.sigma_strings)
-
         return image
 
@@ -591,69 +588,51 @@
     # Legacy validators
     # #################################
-    def _sigma_strings(self):
-        """
-        Recode sigmas as strings
-        """
-        sigma_r = self.formatNumber(self.resolution.sigma_1)
-        sigma_phi = self.formatNumber(self.resolution.sigma_2)
-        sigma_lamd = self.formatNumber(self.resolution.sigma_lamd)
-        sigma_1d = self.formatNumber(self.resolution.sigma_1d)
-        # Set output values
-        self.sigma_strings += "   sigma_x = %s\n" % sigma_r
-        self.sigma_strings += "   sigma_y = %s\n" % sigma_phi
-        self.sigma_strings += "   sigma_lamd = %s\n" % sigma_lamd
-        self.sigma_strings += "   sigma_1D = %s\n" % sigma_1d
-
-    def _string2list(self, string):
+    def _string2list(self, input_string):
         """
         Change NNN, NNN to list,ie. [NNN, NNN] where NNN is a number
         """
-        new_string = []
+        new_numbers_list = []
         # check the number of floats
         try:
-            strg = float(string)
-            new_string.append(strg)
+            strg = float(input_string)
+            new_numbers_list.append(strg)
         except:
-            string_split = string.split(',')
+            string_split = input_string.split(',')
             if len(string_split) == 2:
                 str_1 = string_split[0]
                 str_2 = string_split[1]
-                new_string.append(float(str_1))
-                new_string.append(float(str_2))
+                new_numbers_list.append(float(str_1))
+                new_numbers_list.append(float(str_2))
             elif len(string_split) == 1:
                 str_1 = string_split[0]
-                new_string.append(float(str_1))
+                new_numbers_list.append(float(str_1))
             else:
-                msg = "The numbers must be one or two (separated by ',')..."
+                msg = "The numbers must be one or two (separated by ',')"
                 logging.info(msg)
                 raise RuntimeError, msg
 
-        return new_string
-
-    def _string2inputlist(self, string):
+        return new_numbers_list
+
+    def _string2inputlist(self, input_string):
         """
         Change NNN, NNN,... to list,ie. [NNN, NNN,...] where NNN is a number
-        : return new_string: string like list
-        """
-        new_string = []
-        string_split = string.split(',')
-        length = len(string_split)
-        for ind in range(length):
-            try:
-                value = float(string_split[ind])
-                new_string.append(value)
-            except:
-                logging.error(sys.exc_value)
-
-        return new_string
-
-    def _str2longlist(self, string):
-        """
-        Change NNN, NNN,... to list, NNN - NNN ; NNN to list, or float to list
-        : return new_string: string like list
-        """
+        : return new_list: string like list
+        """
+        new_list = []
+        string_split = input_string.split(',')
+        try:
+            new_list = [float(t) for t in string_split]
+        except:
+            logging.error(sys.exc_value)
+        return new_list
+
+    def _str2longlist(self, input_string):
+        """
+          Change NNN, NNN,... to list, NNN - NNN ; NNN to list, or float to list
+          : return new_string: string like list
+          """
         try:
             # is float
-            out = [float(string)]
+            out = [float(input_string)]
             return out
         except:
@@ -663,10 +642,10 @@
                 try:
                     # has a '-'
-                    if string.count('-') > 0:
-                        value = string.split('-')
+                    if input_string.count('-') > 0:
+                        value = input_string.split('-')
                         if value[1].count(';') > 0:
                             # has a ';'
                             last_list = value[1].split(';')
-                            num = math.ceil(float(last_list[1]))
+                            num = numpy.ceil(float(last_list[1]))
                             max_value = float(last_list[0])
                             self.num_wave = num
@@ -677,10 +656,10 @@
                         min_value = float(value[0])
                         # make a list
-                        bin_size = math.fabs(max_value - min_value) / (num - 1)
+                        bin_size = numpy.fabs(max_value - min_value) / (num - 1)
                         out = [min_value + bin_size * bnum for bnum in
                                range(num)]
                         return out
-                    if string.count(',') > 0:
-                        out = self._string2inputlist(string)
+                    if input_string.count(',') > 0:
+                        out = self._string2inputlist(input_string)
                         return out
                 except:
@@ -739,4 +718,5 @@
         self.plotter = Plotter2DWidget(self, quickplot=True)
         self.plotter.scale = 'linear'
+        self.plotter.cmap = None
         layout = QtGui.QHBoxLayout()
         layout.setContentsMargins(0, 0, 0, 0)
@@ -744,5 +724,5 @@
         layout.addWidget(self.plotter)
 
-    def new2DPlot(self, res_cal):
+    def new2DPlot(self):
         """
         Create a new 2D data instance based on computing results
Index: src/sas/qtgui/Calculators/UI/ResolutionCalculatorPanelUI.ui
===================================================================
--- src/sas/qtgui/Calculators/UI/ResolutionCalculatorPanelUI.ui	(revision 01cda57b9e14ce69f0153005140f08837b90f28e)
+++ src/sas/qtgui/Calculators/UI/ResolutionCalculatorPanelUI.ui	(revision fc4fec8a66ddb6c5ff2ff58ff2c3f171a9f67d0a)
@@ -10,12 +10,12 @@
     <x>0</x>
     <y>0</y>
-    <width>1310</width>
-    <height>667</height>
+    <width>1034</width>
+    <height>561</height>
    </rect>
   </property>
   <property name="minimumSize">
    <size>
-    <width>1310</width>
-    <height>667</height>
+    <width>800</width>
+    <height>550</height>
    </size>
   </property>
@@ -29,5 +29,486 @@
    <string>Q Resolution Estimator</string>
   </property>
-  <layout class="QGridLayout" name="gridLayout_8">
+  <property name="windowIcon">
+   <iconset>
+    <normaloff>:/res/ball.ico</normaloff>:/res/ball.ico</iconset>
+  </property>
+  <layout class="QGridLayout" name="gridLayout_6">
+   <item row="0" column="1" rowspan="5">
+    <widget class="Line" name="line_4">
+     <property name="orientation">
+      <enum>Qt::Vertical</enum>
+     </property>
+    </widget>
+   </item>
+   <item row="0" column="2" rowspan="3">
+    <widget class="QGraphicsView" name="graphicsView">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
+       <horstretch>0</horstretch>
+       <verstretch>0</verstretch>
+      </sizepolicy>
+     </property>
+     <property name="minimumSize">
+      <size>
+       <width>430</width>
+       <height>430</height>
+      </size>
+     </property>
+    </widget>
+   </item>
+   <item row="1" column="0">
+    <widget class="QGroupBox" name="groupBox_2">
+     <property name="title">
+      <string>Q Location of the Estimation</string>
+     </property>
+     <layout class="QGridLayout" name="gridLayout_9">
+      <property name="margin">
+       <number>6</number>
+      </property>
+      <item row="0" column="0">
+       <layout class="QGridLayout" name="gridLayout">
+        <item row="0" column="0">
+         <widget class="QLabel" name="label_21">
+          <property name="minimumSize">
+           <size>
+            <width>21</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>Qx:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLineEdit" name="txtQx">
+          <property name="minimumSize">
+           <size>
+            <width>100</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>Type the Qx value.</string>
+          </property>
+          <property name="text">
+           <string>0.0</string>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="2">
+         <widget class="QLabel" name="lblUnitQx">
+          <property name="minimumSize">
+           <size>
+            <width>18</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="0">
+         <widget class="QLabel" name="label_22">
+          <property name="minimumSize">
+           <size>
+            <width>21</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>Qy:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLineEdit" name="txtQy">
+          <property name="minimumSize">
+           <size>
+            <width>100</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>Type the Qy value.</string>
+          </property>
+          <property name="text">
+           <string>0.0</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="2">
+         <widget class="QLabel" name="lblUnitQy">
+          <property name="minimumSize">
+           <size>
+            <width>18</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+         </widget>
+        </item>
+       </layout>
+      </item>
+     </layout>
+    </widget>
+   </item>
+   <item row="2" column="0" rowspan="2">
+    <widget class="QGroupBox" name="groupBox_3">
+     <property name="title">
+      <string>Standard Deviation of the Resolution Distribution</string>
+     </property>
+     <layout class="QGridLayout" name="gridLayout_4">
+      <property name="margin">
+       <number>6</number>
+      </property>
+      <item row="0" column="0">
+       <layout class="QGridLayout" name="gridLayout_2">
+        <property name="bottomMargin">
+         <number>5</number>
+        </property>
+        <item row="0" column="0">
+         <widget class="QLabel" name="label">
+          <property name="minimumSize">
+           <size>
+            <width>76</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>Sigma_x:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="1">
+         <widget class="QLineEdit" name="txtSigma_x">
+          <property name="enabled">
+           <bool>true</bool>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>The x component of the geometric resolution, excluding sigma_lamda.</string>
+          </property>
+          <property name="text">
+           <string>0.0008288</string>
+          </property>
+          <property name="readOnly">
+           <bool>true</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="2">
+         <widget class="QLabel" name="lblUnitSigmax">
+          <property name="minimumSize">
+           <size>
+            <width>16</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="3">
+         <spacer name="horizontalSpacer">
+          <property name="orientation">
+           <enum>Qt::Horizontal</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>78</width>
+            <height>20</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+        <item row="0" column="4">
+         <widget class="QLabel" name="label_5">
+          <property name="text">
+           <string>Sigma_y:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="5">
+         <widget class="QLineEdit" name="txtSigma_y">
+          <property name="enabled">
+           <bool>true</bool>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>The y component of the geometric resolution, excluding sigma_lamda.</string>
+          </property>
+          <property name="text">
+           <string>0.0008288</string>
+          </property>
+          <property name="readOnly">
+           <bool>true</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="0" column="6">
+         <widget class="QLabel" name="lblUnitSigmay">
+          <property name="text">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="0">
+         <widget class="QLabel" name="label_2">
+          <property name="minimumSize">
+           <size>
+            <width>76</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>Sigma_lamd:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="2">
+         <widget class="QLabel" name="lblUnitSigmalamd">
+          <property name="minimumSize">
+           <size>
+            <width>16</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="4">
+         <widget class="QLabel" name="label_6">
+          <property name="minimumSize">
+           <size>
+            <width>70</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>(1D) Sigma:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="5">
+         <widget class="QLineEdit" name="txt1DSigma">
+          <property name="enabled">
+           <bool>true</bool>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>Resolution in 1-dimension (for 1D data).</string>
+          </property>
+          <property name="text">
+           <string>0.0008289</string>
+          </property>
+          <property name="readOnly">
+           <bool>true</bool>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="6">
+         <widget class="QLabel" name="lblUnit1DSigma">
+          <property name="minimumSize">
+           <size>
+            <width>16</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLineEdit" name="txtSigma_lamd">
+          <property name="enabled">
+           <bool>true</bool>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>The wavelength contribution in the radial direction. Note: The phi component is always zero.</string>
+          </property>
+          <property name="text">
+           <string>3.168e-05</string>
+          </property>
+          <property name="readOnly">
+           <bool>true</bool>
+          </property>
+         </widget>
+        </item>
+       </layout>
+      </item>
+     </layout>
+    </widget>
+   </item>
+   <item row="3" column="2">
+    <spacer name="horizontalSpacer_2">
+     <property name="orientation">
+      <enum>Qt::Horizontal</enum>
+     </property>
+     <property name="sizeHint" stdset="0">
+      <size>
+       <width>40</width>
+       <height>20</height>
+      </size>
+     </property>
+    </spacer>
+   </item>
+   <item row="4" column="0">
+    <layout class="QGridLayout" name="gridLayout_3">
+     <item row="0" column="1">
+      <widget class="QPushButton" name="cmdReset">
+       <property name="minimumSize">
+        <size>
+         <width>75</width>
+         <height>25</height>
+        </size>
+       </property>
+       <property name="toolTip">
+        <string>Reset to default SAS instrumental parameter</string>
+       </property>
+       <property name="text">
+        <string>Reset</string>
+       </property>
+       <property name="autoDefault">
+        <bool>false</bool>
+       </property>
+      </widget>
+     </item>
+     <item row="0" column="2">
+      <widget class="QPushButton" name="cmdCompute">
+       <property name="toolTip">
+        <string>Compute the resolution of Q from SAS instrumental parameter</string>
+       </property>
+       <property name="text">
+        <string>Compute</string>
+       </property>
+       <property name="autoDefault">
+        <bool>false</bool>
+       </property>
+      </widget>
+     </item>
+     <item row="0" column="3">
+      <widget class="QPushButton" name="cmdClose">
+       <property name="minimumSize">
+        <size>
+         <width>75</width>
+         <height>23</height>
+        </size>
+       </property>
+       <property name="toolTip">
+        <string>Close this window</string>
+       </property>
+       <property name="text">
+        <string>Close</string>
+       </property>
+       <property name="autoDefault">
+        <bool>false</bool>
+       </property>
+      </widget>
+     </item>
+     <item row="0" column="4">
+      <widget class="QPushButton" name="cmdHelp">
+       <property name="minimumSize">
+        <size>
+         <width>75</width>
+         <height>23</height>
+        </size>
+       </property>
+       <property name="toolTip">
+        <string>Help on using the Resolution Calculator</string>
+       </property>
+       <property name="text">
+        <string>Help</string>
+       </property>
+       <property name="autoDefault">
+        <bool>false</bool>
+       </property>
+      </widget>
+     </item>
+     <item row="0" column="0">
+      <spacer name="horizontalSpacer_3">
+       <property name="orientation">
+        <enum>Qt::Horizontal</enum>
+       </property>
+       <property name="sizeHint" stdset="0">
+        <size>
+         <width>40</width>
+         <height>20</height>
+        </size>
+       </property>
+      </spacer>
+     </item>
+    </layout>
+   </item>
    <item row="0" column="0">
     <widget class="QGroupBox" name="groupBox">
@@ -35,74 +516,28 @@
       <string>Instrumental Parameters</string>
      </property>
-     <layout class="QGridLayout" name="gridLayout_7">
-      <item row="0" column="0">
+     <layout class="QFormLayout" name="formLayout">
+      <property name="fieldGrowthPolicy">
+       <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+      </property>
+      <property name="margin">
+       <number>6</number>
+      </property>
+      <item row="0" column="0" colspan="2">
        <layout class="QGridLayout" name="gridLayout_5">
-        <item row="8" column="3">
-         <widget class="QLineEdit" name="txtDetectorSize">
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>Number of Pixels on Detector.</string>
-          </property>
-          <property name="text">
-           <string>128, 128</string>
-          </property>
-         </widget>
-        </item>
-        <item row="4" column="3">
-         <widget class="QLineEdit" name="txtSampleApertureSize">
-          <property name="sizePolicy">
-           <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>23</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="focusPolicy">
-           <enum>Qt::StrongFocus</enum>
-          </property>
-          <property name="toolTip">
-           <string>Sample Aperture Size.</string>
-          </property>
-          <property name="text">
-           <string>1.27</string>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="2">
-         <widget class="QComboBox" name="cbWaveColor">
-          <item>
-           <property name="text">
-            <string>Monochromatic</string>
-           </property>
-          </item>
-          <item>
-           <property name="text">
-            <string>TOF</string>
-           </property>
-          </item>
-         </widget>
-        </item>
+        <property name="leftMargin">
+         <number>1</number>
+        </property>
+        <property name="topMargin">
+         <number>1</number>
+        </property>
+        <property name="rightMargin">
+         <number>1</number>
+        </property>
+        <property name="bottomMargin">
+         <number>3</number>
+        </property>
+        <property name="verticalSpacing">
+         <number>-1</number>
+        </property>
         <item row="0" column="0">
          <widget class="QLabel" name="label_26">
@@ -112,211 +547,12 @@
          </widget>
         </item>
-        <item row="1" column="3">
-         <widget class="QLineEdit" name="txtWavelength">
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="focusPolicy">
-           <enum>Qt::StrongFocus</enum>
-          </property>
-          <property name="toolTip">
-           <string>Wavelength of the Neutrons.</string>
-          </property>
-          <property name="text">
-           <string>6.0</string>
-          </property>
-          <property name="echoMode">
-           <enum>QLineEdit::Normal</enum>
-          </property>
-         </widget>
-        </item>
-        <item row="3" column="3">
-         <widget class="QLineEdit" name="txtSourceApertureSize">
-          <property name="sizePolicy">
-           <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="focusPolicy">
-           <enum>Qt::StrongFocus</enum>
-          </property>
-          <property name="toolTip">
-           <string>Source Aperture Size.</string>
-          </property>
-          <property name="text">
-           <string>3.81</string>
-          </property>
-         </widget>
-        </item>
-        <item row="7" column="0">
-         <widget class="QLabel" name="label_33">
-          <property name="text">
-           <string>Sample Offset:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="4" column="0" colspan="2">
-         <widget class="QLabel" name="label_30">
-          <property name="text">
-           <string>Sample Aperture Size:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="6" column="3">
-         <widget class="QLineEdit" name="txtSample2DetectorDistance">
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>Sample Aperture to Detector Distance.</string>
-          </property>
-          <property name="text">
-           <string>1000</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="0">
-         <widget class="QLabel" name="label_27">
-          <property name="text">
-           <string>Wavelength:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="3" column="0" colspan="2">
-         <widget class="QLabel" name="label_29">
-          <property name="text">
-           <string>Source Aperture Size:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="7" column="3">
-         <widget class="QLineEdit" name="txtSampleOffset">
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>Sample Offset.</string>
-          </property>
-          <property name="text">
-           <string>0</string>
-          </property>
-         </widget>
-        </item>
-        <item row="9" column="3">
-         <widget class="QLineEdit" name="txtDetectorPixSize">
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>Detector Pixel Size.</string>
-          </property>
-          <property name="text">
-           <string>0.5, 0.5</string>
-          </property>
-         </widget>
-        </item>
-        <item row="9" column="0" colspan="2">
-         <widget class="QLabel" name="label_35">
-          <property name="text">
-           <string>Detector Pixel Size:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="5" column="3">
-         <widget class="QLineEdit" name="txtSource2SampleDistance">
-          <property name="sizePolicy">
-           <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="focusPolicy">
-           <enum>Qt::StrongFocus</enum>
-          </property>
-          <property name="toolTip">
-           <string>Source to Sample Aperture Distance.</string>
-          </property>
-          <property name="text">
-           <string>1627</string>
-          </property>
-         </widget>
-        </item>
-        <item row="8" column="0" colspan="2">
-         <widget class="QLabel" name="label_34">
-          <property name="text">
-           <string>Number of Pixels on Detector:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="2" column="0" colspan="2">
-         <widget class="QLabel" name="label_28">
-          <property name="text">
-           <string>Wavelength Spread:</string>
-          </property>
-         </widget>
-        </item>
         <item row="0" column="1">
          <widget class="QComboBox" name="cbSource">
+          <property name="minimumSize">
+           <size>
+            <width>80</width>
+            <height>26</height>
+           </size>
+          </property>
           <property name="toolTip">
            <string>Source Selection: Affect on the gravitational contribution.</string>
@@ -357,120 +593,70 @@
          </widget>
         </item>
-        <item row="5" column="0" colspan="3">
-         <widget class="QLabel" name="label_31">
-          <property name="text">
-           <string>Source to Sample Aperture Distance:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="2" column="3">
-         <widget class="QLineEdit" name="txtWavelengthSpread">
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="focusPolicy">
-           <enum>Qt::StrongFocus</enum>
-          </property>
-          <property name="toolTip">
-           <string>Wavelength Spread of Neutrons.</string>
-          </property>
-          <property name="text">
-           <string>0.125</string>
-          </property>
-         </widget>
-        </item>
-        <item row="6" column="0" colspan="3">
-         <widget class="QLabel" name="label_32">
-          <property name="text">
-           <string>Sample Aperture to Detector Distance:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="4" rowspan="10">
-         <layout class="QGridLayout" name="gridLayout_6">
-          <item row="1" column="0">
-           <widget class="QLabel" name="lblUnitWavelength">
-            <property name="text">
-             <string>Ã
-</string>
-            </property>
-           </widget>
+        <item row="0" column="2">
+         <widget class="QComboBox" name="cbWaveColor">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>127</width>
+            <height>26</height>
+           </size>
+          </property>
+          <item>
+           <property name="text">
+            <string>Monochromatic</string>
+           </property>
           </item>
-          <item row="2" column="0">
-           <widget class="QLabel" name="lblUnitWavelengthSpread">
-            <property name="text">
-             <string/>
-            </property>
-           </widget>
+          <item>
+           <property name="text">
+            <string>TOF</string>
+           </property>
           </item>
-          <item row="3" column="0">
-           <widget class="QLabel" name="label_39">
-            <property name="text">
-             <string>cm</string>
-            </property>
-           </widget>
-          </item>
-          <item row="4" column="0">
-           <widget class="QLabel" name="label_40">
-            <property name="text">
-             <string>cm</string>
-            </property>
-           </widget>
-          </item>
-          <item row="5" column="0">
-           <widget class="QLabel" name="label_41">
-            <property name="text">
-             <string>cm</string>
-            </property>
-           </widget>
-          </item>
-          <item row="6" column="0">
-           <widget class="QLabel" name="label_42">
-            <property name="text">
-             <string>cm</string>
-            </property>
-           </widget>
-          </item>
-          <item row="7" column="0">
-           <widget class="QLabel" name="label_43">
-            <property name="text">
-             <string>cm</string>
-            </property>
-           </widget>
-          </item>
-          <item row="8" column="0">
-           <widget class="QLabel" name="label_44">
-            <property name="text">
-             <string/>
-            </property>
-           </widget>
-          </item>
-          <item row="9" column="0">
-           <widget class="QLabel" name="label_45">
-            <property name="text">
-             <string>cm</string>
-            </property>
-           </widget>
-          </item>
-          <item row="0" column="0">
-           <widget class="QLabel" name="label_36">
-            <property name="text">
-             <string/>
-            </property>
-           </widget>
-          </item>
-         </layout>
+         </widget>
+        </item>
+        <item row="1" column="0">
+         <widget class="QLabel" name="label_27">
+          <property name="text">
+           <string>Wavelength:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="1">
+         <widget class="QLabel" name="lblSpectrum">
+          <property name="minimumSize">
+           <size>
+            <width>80</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>80</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>Spectrum</string>
+          </property>
+         </widget>
         </item>
         <item row="1" column="2">
          <widget class="QComboBox" name="cbCustomSpectrum">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>130</width>
+            <height>26</height>
+           </size>
+          </property>
           <property name="toolTip">
            <string>Wavelength Spectrum: Intensity vs. wavelength.</string>
@@ -488,20 +674,395 @@
          </widget>
         </item>
-        <item row="1" column="1">
-         <widget class="QLabel" name="lblSpectrum">
-          <property name="minimumSize">
-           <size>
-            <width>80</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>80</width>
-            <height>20</height>
-           </size>
-          </property>
-          <property name="text">
-           <string>Spectrum</string>
+        <item row="1" column="3">
+         <widget class="QLineEdit" name="txtWavelength">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="focusPolicy">
+           <enum>Qt::StrongFocus</enum>
+          </property>
+          <property name="toolTip">
+           <string>Wavelength of the Neutrons.</string>
+          </property>
+          <property name="text">
+           <string>6.0</string>
+          </property>
+          <property name="echoMode">
+           <enum>QLineEdit::Normal</enum>
+          </property>
+         </widget>
+        </item>
+        <item row="1" column="4">
+         <widget class="QLabel" name="lblUnitWavelength">
+          <property name="minimumSize">
+           <size>
+            <width>18</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>Ã
+</string>
+          </property>
+         </widget>
+        </item>
+        <item row="2" column="0" colspan="2">
+         <widget class="QLabel" name="label_28">
+          <property name="text">
+           <string>Wavelength Spread:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="2" column="3">
+         <widget class="QLineEdit" name="txtWavelengthSpread">
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="focusPolicy">
+           <enum>Qt::StrongFocus</enum>
+          </property>
+          <property name="toolTip">
+           <string>Wavelength Spread of Neutrons.</string>
+          </property>
+          <property name="text">
+           <string>0.125</string>
+          </property>
+         </widget>
+        </item>
+        <item row="3" column="0" colspan="2">
+         <widget class="QLabel" name="label_29">
+          <property name="text">
+           <string>Source Aperture Size:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="3" column="3">
+         <widget class="QLineEdit" name="txtSourceApertureSize">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="focusPolicy">
+           <enum>Qt::StrongFocus</enum>
+          </property>
+          <property name="toolTip">
+           <string>Source Aperture Size.</string>
+          </property>
+          <property name="text">
+           <string>3.81</string>
+          </property>
+         </widget>
+        </item>
+        <item row="3" column="4">
+         <widget class="QLabel" name="label_39">
+          <property name="minimumSize">
+           <size>
+            <width>18</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>cm</string>
+          </property>
+         </widget>
+        </item>
+        <item row="4" column="0" colspan="2">
+         <widget class="QLabel" name="label_30">
+          <property name="text">
+           <string>Sample Aperture Size:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="4" column="3">
+         <widget class="QLineEdit" name="txtSampleApertureSize">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>23</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="focusPolicy">
+           <enum>Qt::StrongFocus</enum>
+          </property>
+          <property name="toolTip">
+           <string>Sample Aperture Size.</string>
+          </property>
+          <property name="text">
+           <string>1.27</string>
+          </property>
+         </widget>
+        </item>
+        <item row="4" column="4">
+         <widget class="QLabel" name="label_40">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>18</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>cm</string>
+          </property>
+         </widget>
+        </item>
+        <item row="5" column="0" colspan="3">
+         <widget class="QLabel" name="label_31">
+          <property name="text">
+           <string>Source to Sample Aperture Distance:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="5" column="3">
+         <widget class="QLineEdit" name="txtSource2SampleDistance">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Expanding" vsizetype="Fixed">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="focusPolicy">
+           <enum>Qt::StrongFocus</enum>
+          </property>
+          <property name="toolTip">
+           <string>Source to Sample Aperture Distance.</string>
+          </property>
+          <property name="text">
+           <string>1627</string>
+          </property>
+         </widget>
+        </item>
+        <item row="5" column="4">
+         <widget class="QLabel" name="label_41">
+          <property name="minimumSize">
+           <size>
+            <width>18</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>cm</string>
+          </property>
+         </widget>
+        </item>
+        <item row="6" column="0" colspan="3">
+         <widget class="QLabel" name="label_32">
+          <property name="text">
+           <string>Sample Aperture to Detector Distance:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="6" column="3">
+         <widget class="QLineEdit" name="txtSample2DetectorDistance">
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>Sample Aperture to Detector Distance.</string>
+          </property>
+          <property name="text">
+           <string>1000</string>
+          </property>
+         </widget>
+        </item>
+        <item row="6" column="4">
+         <widget class="QLabel" name="label_42">
+          <property name="minimumSize">
+           <size>
+            <width>18</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>cm</string>
+          </property>
+         </widget>
+        </item>
+        <item row="7" column="0">
+         <widget class="QLabel" name="label_33">
+          <property name="text">
+           <string>Sample Offset:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="7" column="3">
+         <widget class="QLineEdit" name="txtSampleOffset">
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>Sample Offset.</string>
+          </property>
+          <property name="text">
+           <string>0</string>
+          </property>
+         </widget>
+        </item>
+        <item row="7" column="4">
+         <widget class="QLabel" name="label_43">
+          <property name="minimumSize">
+           <size>
+            <width>18</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>cm</string>
+          </property>
+         </widget>
+        </item>
+        <item row="8" column="0" colspan="2">
+         <widget class="QLabel" name="label_34">
+          <property name="text">
+           <string>Number of Pixels on Detector:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="8" column="3">
+         <widget class="QLineEdit" name="txtDetectorSize">
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>Number of Pixels on Detector.</string>
+          </property>
+          <property name="text">
+           <string>128, 128</string>
+          </property>
+         </widget>
+        </item>
+        <item row="9" column="0" colspan="2">
+         <widget class="QLabel" name="label_35">
+          <property name="text">
+           <string>Detector Pixel Size:</string>
+          </property>
+         </widget>
+        </item>
+        <item row="9" column="3">
+         <widget class="QLineEdit" name="txtDetectorPixSize">
+          <property name="minimumSize">
+           <size>
+            <width>75</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>100</width>
+            <height>20</height>
+           </size>
+          </property>
+          <property name="toolTip">
+           <string>Detector Pixel Size.</string>
+          </property>
+          <property name="text">
+           <string>0.5, 0.5</string>
+          </property>
+         </widget>
+        </item>
+        <item row="9" column="4">
+         <widget class="QLabel" name="label_45">
+          <property name="minimumSize">
+           <size>
+            <width>18</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="text">
+           <string>cm</string>
           </property>
          </widget>
@@ -512,403 +1073,8 @@
     </widget>
    </item>
-   <item row="0" column="1" rowspan="7">
-    <widget class="Line" name="line_4">
-     <property name="orientation">
-      <enum>Qt::Vertical</enum>
-     </property>
-    </widget>
-   </item>
-   <item row="0" column="2" rowspan="3">
-    <widget class="QGraphicsView" name="graphicsView">
-     <property name="sizePolicy">
-      <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
-       <horstretch>0</horstretch>
-       <verstretch>0</verstretch>
-      </sizepolicy>
-     </property>
-    </widget>
-   </item>
-   <item row="1" column="0">
-    <widget class="Line" name="line">
-     <property name="orientation">
-      <enum>Qt::Horizontal</enum>
-     </property>
-    </widget>
-   </item>
-   <item row="2" column="0">
-    <widget class="QGroupBox" name="groupBox_2">
-     <property name="title">
-      <string>Q Location of the Estimation</string>
-     </property>
-     <layout class="QGridLayout" name="gridLayout_9">
-      <item row="0" column="0">
-       <layout class="QGridLayout" name="gridLayout">
-        <item row="0" column="0">
-         <widget class="QLabel" name="label_21">
-          <property name="text">
-           <string>Qx:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="1">
-         <widget class="QLineEdit" name="txtQx">
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>Type the Qx value.</string>
-          </property>
-          <property name="text">
-           <string>0.0</string>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="2">
-         <widget class="QLabel" name="lblUnitQx">
-          <property name="text">
-           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="0">
-         <widget class="QLabel" name="label_22">
-          <property name="text">
-           <string>Qy:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="1">
-         <widget class="QLineEdit" name="txtQy">
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>Type the Qy value.</string>
-          </property>
-          <property name="text">
-           <string>0.0</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="2">
-         <widget class="QLabel" name="lblUnitQy">
-          <property name="text">
-           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item row="3" column="0">
-    <widget class="Line" name="line_2">
-     <property name="orientation">
-      <enum>Qt::Horizontal</enum>
-     </property>
-    </widget>
-   </item>
-   <item row="4" column="0">
-    <widget class="QGroupBox" name="groupBox_3">
-     <property name="title">
-      <string>Standard Deviation of the Resolution Distribtion</string>
-     </property>
-     <layout class="QGridLayout" name="gridLayout_4">
-      <item row="0" column="0">
-       <layout class="QGridLayout" name="gridLayout_2">
-        <item row="0" column="0">
-         <widget class="QLabel" name="label">
-          <property name="text">
-           <string>Sigma_x:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="1">
-         <widget class="QLineEdit" name="txtSigma_x">
-          <property name="enabled">
-           <bool>true</bool>
-          </property>
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>The x component of the geometric resolution, excluding sigma_lamda.</string>
-          </property>
-          <property name="text">
-           <string>0.0008288</string>
-          </property>
-          <property name="readOnly">
-           <bool>true</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="2">
-         <widget class="QLabel" name="lblUnitSigmax">
-          <property name="text">
-           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="3">
-         <spacer name="horizontalSpacer">
-          <property name="orientation">
-           <enum>Qt::Horizontal</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>78</width>
-            <height>20</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-        <item row="0" column="4">
-         <widget class="QLabel" name="label_5">
-          <property name="text">
-           <string>Sigma_y:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="5">
-         <widget class="QLineEdit" name="txtSigma_y">
-          <property name="enabled">
-           <bool>true</bool>
-          </property>
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>The y component of the geometric resolution, excluding sigma_lamda.</string>
-          </property>
-          <property name="text">
-           <string>0.0008288</string>
-          </property>
-          <property name="readOnly">
-           <bool>true</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="0" column="6">
-         <widget class="QLabel" name="lblUnitSigmay">
-          <property name="text">
-           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="0">
-         <widget class="QLabel" name="label_2">
-          <property name="text">
-           <string>Sigma_lamd:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="2">
-         <widget class="QLabel" name="lblUnitSigmalamd">
-          <property name="text">
-           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="4">
-         <widget class="QLabel" name="label_6">
-          <property name="text">
-           <string>(1D) Sigma:</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="5">
-         <widget class="QLineEdit" name="txt1DSigma">
-          <property name="enabled">
-           <bool>true</bool>
-          </property>
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>Resolution in 1-dimension (for 1D data).</string>
-          </property>
-          <property name="text">
-           <string>0.0008289</string>
-          </property>
-          <property name="readOnly">
-           <bool>true</bool>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="6">
-         <widget class="QLabel" name="lblUnit1DSigma">
-          <property name="text">
-           <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-          </property>
-         </widget>
-        </item>
-        <item row="1" column="1">
-         <widget class="QLineEdit" name="txtSigma_lamd">
-          <property name="enabled">
-           <bool>true</bool>
-          </property>
-          <property name="minimumSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="baseSize">
-           <size>
-            <width>100</width>
-            <height>21</height>
-           </size>
-          </property>
-          <property name="toolTip">
-           <string>The wavelength contribution in the radial direction. Note: The phi component is always zero.</string>
-          </property>
-          <property name="text">
-           <string>3.168e-05</string>
-          </property>
-          <property name="readOnly">
-           <bool>true</bool>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item row="5" column="0">
-    <widget class="Line" name="line_3">
-     <property name="orientation">
-      <enum>Qt::Horizontal</enum>
-     </property>
-    </widget>
-   </item>
-   <item row="6" column="0">
-    <layout class="QGridLayout" name="gridLayout_3">
-     <item row="0" column="0">
-      <widget class="QPushButton" name="cmdReset">
-       <property name="toolTip">
-        <string>Reset to default SAS instrumental parameter</string>
-       </property>
-       <property name="text">
-        <string>Reset</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item row="0" column="1">
-      <widget class="QPushButton" name="cmdCompute">
-       <property name="toolTip">
-        <string>Compute the resolution of Q from SAS instrumental parameter</string>
-       </property>
-       <property name="text">
-        <string>Compute</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item row="0" column="2">
-      <widget class="QPushButton" name="cmdClose">
-       <property name="toolTip">
-        <string>Close this window</string>
-       </property>
-       <property name="text">
-        <string>Close</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-     <item row="0" column="3">
-      <widget class="QPushButton" name="cmdHelp">
-       <property name="toolTip">
-        <string>Help on using the Resolution Calculator</string>
-       </property>
-       <property name="text">
-        <string>Help</string>
-       </property>
-       <property name="autoDefault">
-        <bool>false</bool>
-       </property>
-      </widget>
-     </item>
-    </layout>
-   </item>
-   <item row="5" column="2">
-    <spacer name="horizontalSpacer_2">
-     <property name="orientation">
-      <enum>Qt::Horizontal</enum>
-     </property>
-     <property name="sizeHint" stdset="0">
-      <size>
-       <width>40</width>
-       <height>20</height>
-      </size>
-     </property>
-    </spacer>
-   </item>
   </layout>
   <zorder>groupBox</zorder>
   <zorder>groupBox_2</zorder>
-  <zorder>line</zorder>
-  <zorder>line_2</zorder>
   <zorder>groupBox_3</zorder>
-  <zorder>line_3</zorder>
   <zorder>graphicsView</zorder>
   <zorder>line_4</zorder>
@@ -931,12 +1097,12 @@
   <tabstop>txtQy</tabstop>
   <tabstop>cmdCompute</tabstop>
-  <tabstop>cmdClose</tabstop>
   <tabstop>cmdHelp</tabstop>
   <tabstop>cmdReset</tabstop>
-  <tabstop>txtSigma_x</tabstop>
+  <tabstop>cmdClose</tabstop>
   <tabstop>txtSigma_lamd</tabstop>
   <tabstop>txtSigma_y</tabstop>
   <tabstop>txt1DSigma</tabstop>
   <tabstop>graphicsView</tabstop>
+  <tabstop>txtSigma_x</tabstop>
  </tabstops>
  <resources/>
Index: src/sas/qtgui/Calculators/UnitTesting/ResolutionCalculatorPanelTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/ResolutionCalculatorPanelTest.py	(revision 01cda57b9e14ce69f0153005140f08837b90f28e)
+++ src/sas/qtgui/Calculators/UnitTesting/ResolutionCalculatorPanelTest.py	(revision fc4fec8a66ddb6c5ff2ff58ff2c3f171a9f67d0a)
@@ -51,6 +51,6 @@
         self.assertEqual(self.widget.windowTitle(), "Q Resolution Estimator")
         # size
-        self.assertEqual(self.widget.size().height(), 667)
-        self.assertEqual(self.widget.size().width(), 1310)
+        self.assertEqual(self.widget.size().height(), 561)
+        self.assertEqual(self.widget.size().width(), 1034)
 
         # visibility
@@ -269,5 +269,5 @@
         # thread called
         self.assertTrue(threads.deferToThread.called)
-        self.assertEqual(threads.deferToThread.call_args_list[0][0][0].__name__, 'complete')
+        self.assertEqual(threads.deferToThread.call_args_list[0][0][0].__name__, 'map_wrapper')
 
         # the Compute button changed caption and got disabled
